QuantLib: YearOnYearInflationSwapHelper Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | Protected Attributes | List of all members
YearOnYearInflationSwapHelper Class Reference

Year-on-year inflation-swap bootstrap helper. More...

`#include <ql/termstructures/inflation/inflationhelpers.hpp>`

Inheritance diagram for YearOnYearInflationSwapHelper:
[legend]

## Public Member Functions
| YearOnYearInflationSwapHelper (const Handle< Quote > &quote, const Period &swapObsLag_, const Date &maturity, const Calendar &calendar, BusinessDayConvention paymentConvention, const DayCounter &dayCounter, const ext::shared_ptr< YoYInflationIndex > &yii, const Handle< YieldTermStructure > &nominalTermStructure)
void | setTermStructure (YoYInflationTermStructure *)
Real | impliedQuote () const
Public Member Functions inherited from BootstrapHelper< YoYInflationTermStructure >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
virtual Real | impliedQuote () const=0
Real | quoteError () const
virtual void | setTermStructure (YoYInflationTermStructure *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
virtual void | update ()
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Attributes
Period | swapObsLag_
Date | maturity_
Calendar | calendar_
BusinessDayConvention | paymentConvention_
DayCounter | dayCounter_
ext::shared_ptr< YoYInflationIndex > | yii_
ext::shared_ptr< YearOnYearInflationSwap > | yyiis_
Handle< YieldTermStructure > | nominalTermStructure_
Protected Attributes inherited from BootstrapHelper< YoYInflationTermStructure >
Handle< Quote > | quote_
YoYInflationTermStructure * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

Year-on-year inflation-swap bootstrap helper.